variables:
  DOCKER_DRIVER: overlay2

stages:
  - build
  - publish

build:
  image: microsoft/dotnet:latest
  stage: build
  script:
  - cd Project-DotNetStandard2
  - "dotnet build -c release"
  artifacts:
    paths:
    - Project-DotNetStandard2/bin/Release
    - Project-DotNetStandard2/bin/Debug

nuget:
  image: microsoft/dotnet:latest
  stage: publish
  script:
  - cd Project-DotNetStandard2
  - "dotnet pack -c release"
  - cd bin/Release
  - "dotnet nuget push *.nupkg -k $NUGETKEY -s https://api.nuget.org/v3/index.json"
  artifacts:
    paths:
    - Project-DotNetStandard2/bin/Release
    - Project-DotNetStandard2/bin/Debug
  only:
  - master